module Pages.Dodgers exposing (Model, Msg, page)

import Config.Colour as T exposing (..)
import Config.Format as O exposing (..)
import Config.Identity as I exposing (..)
import Cuckery.CuckList.AdamSinger exposing (cuckAdamSinger)
import Cuckery.CuckList.AmberOHearn exposing (cuckAmberOHearn)
import Cuckery.CuckList.AnnChilders exposing (cuckAnnChilders)
import Cuckery.CuckList.AnthonyGustin exposing (cuckAnthonyGustin)
import Cuckery.CuckList.AshwaniGarg exposing (cuckAshwaniGarg)
import Cuckery.CuckList.AustinHerbert exposing (cuckAustinHerbert)
import Cuckery.CuckList.BartKay exposing (cuckBartKay)
import Cuckery.CuckList.BenBikman exposing (cuckBenBikman)
import Cuckery.CuckList.BennyMalone exposing (cuckBennyMalone)
import Cuckery.CuckList.BradCampbell exposing (cuckBradCampbell)
import Cuckery.CuckList.BradCohn exposing (cuckBradCohn)
import Cuckery.CuckList.BradMarshall exposing (cuckBradMarshall)
import Cuckery.CuckList.BrianKerley exposing (cuckBrianKerley)
import Cuckery.CuckList.CarnivoreAurelius exposing (cuckCarnivoreAurelius)
import Cuckery.CuckList.CateShanahan exposing (cuckCateShanahan)
import Cuckery.CuckList.ChrisBoettcher exposing (cuckChrisBoettcher)
import Cuckery.CuckList.ClaraAboel exposing (cuckClaraAboel)
import Cuckery.CuckList.CliffHarvey exposing (cuckCliffHarvey)
import Cuckery.CuckList.DaveFeldman exposing (cuckDaveFeldman)
import Cuckery.CuckList.DavidDiamond exposing (cuckDavidDiamond)
import Cuckery.CuckList.DavidGornoski exposing (cuckDavidGornoski)
import Cuckery.CuckList.DianaRodgers exposing (cuckDianaRodgers)
import Cuckery.CuckList.EdwardGoeke exposing (cuckEdwardGoeke)
import Cuckery.CuckList.ElieJarrouge exposing (cuckElieJarrouge)
import Cuckery.CuckList.GaryBrecka exposing (cuckGaryBrecka)
import Cuckery.CuckList.GaryFettke exposing (cuckGaryFettke)
import Cuckery.CuckList.GaryTaubes exposing (cuckGaryTaubes)
import Cuckery.CuckList.GeorgeMartin exposing (cuckGeorgeMartin)
import Cuckery.CuckList.GuyAustin exposing (cuckGuyAustin)
import Cuckery.CuckList.IvorCummins exposing (cuckIvorCummins)
import Cuckery.CuckList.JakeMey exposing (cuckJakeMey)
import Cuckery.CuckList.JamesDiNicolantonio exposing (cuckJamesDiNicolantonio)
import Cuckery.CuckList.JosephEverett exposing (cuckJosephEverett)
import Cuckery.CuckList.JustinMares exposing (cuckJustinMares)
import Cuckery.CuckList.KaitMalthaner exposing (cuckKaitMalthaner)
import Cuckery.CuckList.KemMinnick exposing (cuckKemMinnick)
import Cuckery.CuckList.KenBerry exposing (cuckKenBerry)
import Cuckery.CuckList.KevinStock exposing (cuckKevinStock)
import Cuckery.CuckList.KyleMamounis exposing (cuckKyleMamounis)
import Cuckery.CuckList.MarkSisson exposing (cuckMarkSisson)
import Cuckery.CuckList.MartyKendall exposing (cuckMartyKendall)
import Cuckery.CuckList.MaxLugavere exposing (cuckMaxLugavere)
import Cuckery.CuckList.MichaelKummer exposing (cuckMichaelKummer)
import Cuckery.CuckList.MichaelManderville exposing (cuckMichaelManderville)
import Cuckery.CuckList.MikeMutzel exposing (cuckMikeMutzel)
import Cuckery.CuckList.MikeSweeney exposing (cuckMikeSweeney)
import Cuckery.CuckList.NickEggleton exposing (cuckNickEggleton)
import Cuckery.CuckList.NinaTeicholz exposing (cuckNinaTeicholz)
import Cuckery.CuckList.NorstrongChris exposing (cuckNorstrongChris)
import Cuckery.CuckList.PaulMason exposing (cuckPaulMason)
import Cuckery.CuckList.PaulSaladino exposing (cuckPaulSaladino)
import Cuckery.CuckList.PhilipOvadia exposing (cuckPhilipOvadia)
import Cuckery.CuckList.PhilippeStephenson exposing (cuckPhilippeStephenson)
import Cuckery.CuckList.RalphNapolitano exposing (cuckRalphNapolitano)
import Cuckery.CuckList.RaphaelSirtoli exposing (cuckRaphaelSirtoli)
import Cuckery.CuckList.RobMeijer exposing (cuckRobMeijer)
import Cuckery.CuckList.RobbWolf exposing (cuckRobbWolf)
import Cuckery.CuckList.SimonGoddek exposing (cuckSimonGoddek)
import Cuckery.CuckList.TravisStatham exposing (cuckTravisStatham)
import Cuckery.CuckList.TristanHaggard exposing (cuckTristanHaggard)
import Cuckery.CuckList.TroKalayjian exposing (cuckTroKalayjian)
import Cuckery.CuckList.TuckerGoodrich exposing (cuckTuckerGoodrich)
import Cuckery.CuckList.ZoeHarcombe exposing (cuckZoeHarcombe)
import Cuckery.CuckList.ZsofiaClemens exposing (cuckZsofiaClemens)
import Cuckery.Helpers exposing (..)
import Effect exposing (Effect)
import Element exposing (..)
import Element.Border as D
import Element.Font as F
import Html.Attributes as H exposing (style)
import Layouts
import Page exposing (Page)
import Route exposing (Route)
import Shared
import View exposing (View)


page : Shared.Model -> Route () -> Page Model Msg
page shared route =
    Page.new
        { init = init
        , update = update
        , subscriptions = subscriptions
        , view = view
        }
        |> Page.withLayout toLayout


toLayout : Model -> Layouts.Layout Msg
toLayout model =
    Layouts.Navbar {}



-- INIT


type alias Model =
    {}


init : () -> ( Model, Effect Msg )
init () =
    ( {}
    , Effect.none
    )



-- UPDATE


type Msg
    = NoOp


update : Msg -> Model -> ( Model, Effect Msg )
update msg model =
    case msg of
        NoOp ->
            ( model
            , Effect.none
            )



-- SUBSCRIPTIONS


subscriptions : Model -> Sub Msg
subscriptions model =
    Sub.none



-- VIEW


view : Model -> View Msg
view model =
    { title = dodgersName
    , attributes = []
    , element = dodgersContainer
    }


dodgersContainer : Element msg
dodgersContainer =
    topLevelContainer dodgersList


dodgersList : Element msg
dodgersList =
    column
        pageList
    <|
        List.map cuckMaker
            [ cuckAdamSinger
            , cuckAmberOHearn
            , cuckAnnChilders
            , cuckAnthonyGustin
            , cuckAshwaniGarg
            , cuckAustinHerbert
            , cuckBartKay
            , cuckBenBikman
            , cuckBennyMalone
            , cuckBradCampbell
            , cuckBradCohn
            , cuckBradMarshall
            , cuckBrianKerley
            , cuckCarnivoreAurelius
            , cuckCateShanahan
            , cuckChrisBoettcher
            , cuckClaraAboel
            , cuckCliffHarvey
            , cuckDaveFeldman
            , cuckDavidDiamond
            , cuckDavidGornoski
            , cuckDianaRodgers
            , cuckEdwardGoeke
            , cuckElieJarrouge
            , cuckGaryBrecka
            , cuckGaryFettke
            , cuckGaryTaubes
            , cuckGeorgeMartin
            , cuckGuyAustin
            , cuckIvorCummins
            , cuckJakeMey
            , cuckJamesDiNicolantonio
            , cuckJosephEverett
            , cuckJustinMares
            , cuckKaitMalthaner
            , cuckKemMinnick
            , cuckKenBerry
            , cuckKevinStock
            , cuckKyleMamounis
            , cuckMarkSisson
            , cuckMartyKendall
            , cuckMaxLugavere
            , cuckMichaelKummer
            , cuckMichaelManderville
            , cuckMikeMutzel
            , cuckMikeSweeney
            , cuckNickEggleton
            , cuckNinaTeicholz
            , cuckNorstrongChris
            , cuckPaulMason
            , cuckPaulSaladino
            , cuckPhilipOvadia
            , cuckPhilippeStephenson
            , cuckRalphNapolitano
            , cuckRaphaelSirtoli
            , cuckRobMeijer
            , cuckRobbWolf
            , cuckSimonGoddek
            , cuckTravisStatham
            , cuckTristanHaggard
            , cuckTroKalayjian
            , cuckTuckerGoodrich
            , cuckZoeHarcombe
            , cuckZsofiaClemens
            ]
